## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without tests

%global         srcname     google-cloud-redis
%global         forgeurl    https://github.com/googleapis/python-redis
Version:        2.12.1
%global         tag         v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Python Client for Google Cloud Memorystore for Redis API

License:        Apache-2.0
URL:            %forgeurl
Source0:        %forgesource

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
%endif

%global _description %{expand:
The Google Cloud Memorystore for Redis API is used for creating and managing
Redis instances on the Google Cloud Platform.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
%description -n python3-%{srcname} %{_description}


%prep
%forgeautosetup

# Allow a slightly older protobuf.
sed -i 's/"protobuf.*",/"protobuf>=3.19.4",/' setup.py

# Replace mock imports with unittest.mock.
grep -rl "^[[:space:]]*import mock" tests | \
    xargs sed -i -E 's/^([[:space:]]*)import mock/\1from unittest import mock/'


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google

# Remove unneeded executables.
rm -f %{buildroot}/%{_bindir}/fixup*


%check
%pyproject_check_import

%if %{with tests}
# NOTE(mhayden): Setting PYTHONUSERBASE as a hack for PEP 420 namespaces.
# Thanks to churchyard for the fix.
PYTHONUSERBASE=%{buildroot}%{_prefix} \
    %pytest tests/unit
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst CHANGELOG.md
%{python3_sitelib}/google_cloud_redis-%{version}-py%{python3_version}-nspkg.pth


%changelog
* Mon Mar 27 2023 Major Hayden <major@redhat.com> - 2.12.1-1
- Update to 2.12.1 rhbz#2182125

* Wed Mar 01 2023 Major Hayden <major@redhat.com> - 2.12.0-1
- Update to 2.12.0 rhbz#2174166

* Tue Feb 21 2023 Major Hayden <major@redhat.com> - 2.11.1-1
- Update to 2.11.1

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Oct 19 2022 Major Hayden <major@redhat.com> - 2.9.3-1
- Update to 2.9.3 rhbz#2131893

* Mon Aug 15 2022 Major Hayden <major@redhat.com> - 2.9.1-1
- Update to 2.9.1 rhbz#2118366

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jul 15 2022 fkolwa <fkolwa@redhat.com> - 2.9.0-1
- Update to 2.9.0 rhbz#2106918

* Tue Jun 28 2022 Python Maint <python-maint@redhat.com> - 2.8.1-2
- Rebuilt for Python 3.11

* Mon Jun 13 2022 Major Hayden <major@redhat.com> - 2.8.1-1
- Update to 2.8.1

* Wed Mar 16 2022 Major Hayden <major@mhtx.net> - 2.8.0-1
- Update to 2.8.0

* Tue Mar 08 2022 Major Hayden <major@mhtx.net> - 2.7.1-1
- Update to 2.7.1

* Tue Mar 01 2022 Major Hayden <major@mhtx.net> - 2.7.0-1
- Update to 2.7.0

* Wed Feb 23 2022 Major Hayden <major@mhtx.net> - 2.6.0-1
- Update to 2.6.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jan 18 2022 Major Hayden <major@mhtx.net> - 2.5.1-1
- Update to 2.5.1

* Tue Nov 09 2021 Major Hayden <major@mhtx.net> - 2.5.0-1
- Update to 2.5.0

* Tue Nov 02 2021 Major Hayden <major@mhtx.net> - 2.4.1-1
- Update to 2.4.1

* Mon Oct 25 2021 Major Hayden <major@mhtx.net> - 2.4.0-1
- Update to 2.4.0

* Wed Oct 13 2021 Major Hayden <major@mhtx.net> - 2.3.0-1
- Update to 2.3.0

* Thu Sep 30 2021 Major Hayden <major@mhtx.net> - 2.2.4-1
- Update to 2.2.4

* Mon Sep 27 2021 Major Hayden <major@mhtx.net> - 2.2.3-1
- Update to 2.2.3

* Thu Sep 09 2021 Major Hayden <major@mhtx.net> - 2.2.2-2
- Move to rpmautospec

* Tue Aug 24 2021 Major Hayden <major@mhtx.net> - 2.2.2-1
- Initial import (#1996871)
